path(path,'c:\projects\solve\code')
path(path,'c:\projects\solve\AIM')
clear all
close all

%&&&&&&&&&&&&&Parameters of the model&&&&&&&&&&&&&&
phix=0;%weight on output gap in Taylor rule
phipi=1.5;%weight on inflation in Taylor rule
sig=1;%power on consumption
beta=.99;%discount rate
phi=1;%power in utility of labor
rho=.2;%autocorrelation of technology growth
theta=0.75;%probability of Calvo fairy not showing up
alpha=0;%inertia in Taylor rule
del=.2;%autocorrelation of monetary policy shock
ve=0;%variance of technology innovation
vu=0;%variance of monetary policy innovation
vtau=0.2;%variance of preference innovation
lam=.5;%autocorrelation of preference shock
T=8;%number of dynamic responses to graph
shk=1;%which shock do you want a response to (1-technology, 2-monetary policy, 3-preference)
%&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&


[A,B,V,kap,psi,P] = findcgg(beta,sig,phipi,phix,alpha,phi,theta,rho,del,lam,ve,vu,vtau);

xx=[ve vu vtau];
xx(shk)=1;
[zz,a]=graph(xx(1),xx(2),xx(3),P,phi,sig,psi,T,A,B,shk);

fprintf(' standard deviation of output gap = %6.4f\n',sqrt(V(2,2)))
fprintf(' standard deviation of inflation = %6.4f\n',sqrt(V(1,1)))
fprintf(' standard deviation of nominal interest rate = %6.4f\n',sqrt(V(3,3)))
fprintf(' coefficient on inflation = %6.4f, on output = %6.4f\n',phipi,phix)

