function [AA,BB,VV,x] = findnewphix(beta,sig,phipi,alpha,phi,thetan,rho,del,lam,ve,vu,vtau,varx);

options=optimset('TolFun',.1e-10,'TolX',.1e-10);
[x,fval,exitflag]=fminbnd('findx',0.01,.99,options,beta,sig,phipi,alpha,phi,thetan,rho,del,lam,ve,vu,vtau,varx);

if exitflag ~= 1
    error('fatal (findnewphix) failed to converge')
end
[ff] = findx(x,beta,sig,phipi,alpha,phi,thetan,rho,del,lam,ve,vu,vtau,varx);

if abs(ff) > .1e-7
    error('fatal (cgg) #1 failed to solve for the new phix')
end
[AA,BB,VV] = findcgg(beta,sig,phipi,x,alpha,phi,thetan,rho,del,lam,ve,vu,vtau);
if abs(VV(2,2)-varx) > .1e-8
    error('fatal (cgg) #2 failed to solve for the new phix')
end